Transfers
A Scale Transfer can be used to send funds directly from a Platform Account or Connected Account to another Account connected to the same platform. Destination Connected Account must have passed KYC and be in state ACTIVE.
GET /api/v1/transfersGET /api/v1/transfers/{id}POST /api/v1/transfers/create
Get list of transfers
GET /api/v1/transfers
Get a list of transfers created by your Airwallex account. The transfers returned are sorted by creation time.
Currency (3-letter ISO-4217 code)
Airwallex account unique identifier
The start date of created_at in ISO8601 format (inclusive)
Page number, starts from 0.
Number of results per page. Default value is 100, minimum 10, maximum 2000
Transfer request_id
Status of the transfer. One of: NEW, SETTLED, PENDING, SUSPENDED, FAILED
The end date of created_at in ISO8601 format (inclusive)
A flag which identifies whether there are more results.
Paged results.
Amount of the transfer in currency specified in the request
The time this transfer was created
Currency (3-letter ISO-4217 code) specified in the request
Airwallex account unique identifier specified in the request
Fee of the transfer in currency specified in the request
Unique identifier for the transfer
Reason for the transfer instruction specified in the request
User specified reference that will be displayed to the beneficiary specified in the request
Unique request identifier specified in the request
Short reference for support purposes
Status of the transfer. One of: NEW, SETTLED, PENDING, SUSPENDED, FAILED
The time this transfer was updated
Additional information about the transaction.
Additional information about the card payment funding the connected account transfer.
The payment amount for this transaction.
The card brand. Possible enum values:
MASTERCARD, VISA, UNION_PAY, AMERICAN_EXPRESS, JCB, DISCOVER, DINERS_CLUB_INTERNATIONAL
Country code where the card was issued (e.g., US, GB, CN).
A unique token (GUID) representing the customer’s card number.
The card type. Possible enum values:
CREDIT, DEBIT, PREPAID
The cardholder's name. Not applicable to APPLE_PAY and GOOGLE_PAY.
The timestamp when the customer created the payment transaction.
The unique identifier of the deposit that corresponds to the settlement into Airwallex's Global Account.
IP address (IPv4 or IPv6) of the payer’s device at the time of payment.
The payment method used for this transaction. Possible enum values:
APPLE_PAY, GOOGLE_PAY, CARD_ON_FILE
The outcome of a 3D Secure authentication process, which verifies the identity of a cardholder during an online purchase. Possible enum values:
ATTEMPTED, AUTHENTICATED, FAILED, NOT_APPLICABLE, NOT_REQUESTED
Structured merchant information for nested-flow transfers.
The merchant's official legal name.
The date when the merchant's business was registered, in YYYY-MM-DD format. For example, 2025-03-15.
The merchant's Business Registration Number (BRN) or equivalent identifier.
The merchant's trading or DBA (doing business as) name.
The merchant's industry category code.
The merchant's unique identifier on the platform.
The merchant's country of registration in ISO 3166-1 alpha-2 format. For example, CN or HK.
The merchant's store URL(s).
List of failure reason codes when status is FAILED
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request GET \> --url 'https://api-demo.airwallex.com/api/v1/transfers' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "has_more": false,3 "items": [4 {5 "amount": 10000,6 "created_at": "2018-03-22T16:08:02+1100",7 "currency": "AUD",8 "destination": "acct_DjU6FcdYPYy6MEJsU0JAPg",9 "failure_reasons": [10 "EXPIRED_TRANSACTION_RFI_PAYER",11 "EXPIRED_TRANSACTION_RFI_BENEFICIARY",12 "DORMANCY_KYC_NO_RESPONSE_PAYER",13 "DORMANCY_KYC_NO_RESPONSE_BENEFICIARY",14 "WEBSITE_KYC_NO_RESPONSE_PAYER",15 "WEBSITE_KYC_NO_RESPONSE_BENEFICIARY",16 "WATCHLIST_RESTRICTION_PAYER",17 "WATCHLIST_RESTRICTION_BENEFICIARY",18 "OTHER_HIGH_RISK_PAYER",19 "OTHER_HIGH_RISK_BENEFICIARY"20 ],21 "fee": 10,22 "id": "d9af1614-a6a1-4d45-aae7-6858fc6d9ede",23 "reason": "travel",24 "reference": "PMT1936398",25 "request_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",26 "short_reference_id": "D220926-QZ7BTZE",27 "status": "NEW",28 "updated_at": "2018-03-22T16:08:02+1100"29 }30 ]31}
Get a transfer by ID
GET /api/v1/transfers/{id}
Get transaction details for a transfer by specifying the transfer unique identifier.
Unique identifier of the transfer to retrieve
Additional information about the transaction.
Additional information about the card payment funding the connected account transfer.
The payment amount for this transaction.
The card brand. Possible enum values:
MASTERCARD, VISA, UNION_PAY, AMERICAN_EXPRESS, JCB, DISCOVER, DINERS_CLUB_INTERNATIONAL
Country code where the card was issued (e.g., US, GB, CN).
A unique token (GUID) representing the customer’s card number.
The card type. Possible enum values:
CREDIT, DEBIT, PREPAID
The cardholder's name. Not applicable to APPLE_PAY and GOOGLE_PAY.
The timestamp when the customer created the payment transaction.
The unique identifier of the deposit that corresponds to the settlement into Airwallex's Global Account.
IP address (IPv4 or IPv6) of the payer’s device at the time of payment.
The payment method used for this transaction. Possible enum values:
APPLE_PAY, GOOGLE_PAY, CARD_ON_FILE
The outcome of a 3D Secure authentication process, which verifies the identity of a cardholder during an online purchase. Possible enum values:
ATTEMPTED, AUTHENTICATED, FAILED, NOT_APPLICABLE, NOT_REQUESTED
Structured merchant information for nested-flow transfers.
The merchant's official legal name.
The date when the merchant's business was registered, in YYYY-MM-DD format. For example, 2025-03-15.
The merchant's Business Registration Number (BRN) or equivalent identifier.
The merchant's trading or DBA (doing business as) name.
The merchant's industry category code.
The merchant's unique identifier on the platform.
The merchant's country of registration in ISO 3166-1 alpha-2 format. For example, CN or HK.
The merchant's store URL(s).
Amount of the transfer in currency specified in the request
The time this transfer was created
Currency (3-letter ISO-4217 code) specified in the request
Airwallex account unique identifier specified in the request
List of failure reason codes when status is FAILED
Fee of the transfer in currency specified in the request
Unique identifier for the transfer
Reason for the transfer instruction specified in the request
User specified reference that will be displayed to the beneficiary specified in the request
Unique request identifier specified in the request
Short reference for support purposes
Status of the transfer. One of: NEW, SETTLED, PENDING, SUSPENDED, FAILED
The time this transfer was updated
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request GET \> --url 'https://api-demo.airwallex.com/api/v1/transfers/transfer_id' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "additional_info": {3 "card_payment_data": {4 "amount": "<string>",5 "brand": "MASTERCARD",6 "card_issuing_country": "<string>",7 "card_token": "<string>",8 "card_type": "CREDIT",9 "cardholder_name": "<string>",10 "created_at": "<string>",11 "deposit_id": "<string>",12 "ip_address": "<string>",13 "payment_method": "APPLE_PAY",14 "three_dsecure_outcome": "ATTEMPTED"15 }16 },17 "amount": 10000,18 "created_at": "2018-03-22T16:08:02+1100",19 "currency": "AUD",20 "destination": "acct_DjU6FcdYPYy6MEJsU0JAPg",21 "failure_reasons": [22 "EXPIRED_TRANSACTION_RFI_PAYER",23 "EXPIRED_TRANSACTION_RFI_BENEFICIARY",24 "DORMANCY_KYC_NO_RESPONSE_PAYER",25 "DORMANCY_KYC_NO_RESPONSE_BENEFICIARY",26 "WEBSITE_KYC_NO_RESPONSE_PAYER",27 "WEBSITE_KYC_NO_RESPONSE_BENEFICIARY",28 "WATCHLIST_RESTRICTION_PAYER",29 "WATCHLIST_RESTRICTION_BENEFICIARY",30 "OTHER_HIGH_RISK_PAYER",31 "OTHER_HIGH_RISK_BENEFICIARY"32 ],33 "fee": 10,34 "id": "d9af1614-a6a1-4d45-aae7-6858fc6d9ede",35 "reason": "travel",36 "reference": "PMT1936398",37 "request_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",38 "short_reference_id": "D220926-QZ7BTZE",39 "status": "NEW",40 "updated_at": "2018-03-22T16:08:02+1100"41}
Create a new transfer
POST /api/v1/transfers/create
Initiate a new transfer to send funds from your Airwallex account to a connected account. Your Airwallex balance must cover the transfer amount or you will receive an “Insufficient Funds” error message.
The request body schema is loaded dynamically.
Additional information about the transaction.
Additional information about the card payment funding the connected account transfer.
The payment amount for this transaction.
The card brand. Possible enum values:
MASTERCARD, VISA, UNION_PAY, AMERICAN_EXPRESS, JCB, DISCOVER, DINERS_CLUB_INTERNATIONAL
Country code where the card was issued (e.g., US, GB, CN).
A unique token (GUID) representing the customer’s card number.
The card type. Possible enum values:
CREDIT, DEBIT, PREPAID
The cardholder's name. Not applicable to APPLE_PAY and GOOGLE_PAY.
The timestamp when the customer created the payment transaction.
The unique identifier of the deposit that corresponds to the settlement into Airwallex's Global Account.
IP address (IPv4 or IPv6) of the payer’s device at the time of payment.
The payment method used for this transaction. Possible enum values:
APPLE_PAY, GOOGLE_PAY, CARD_ON_FILE
The outcome of a 3D Secure authentication process, which verifies the identity of a cardholder during an online purchase. Possible enum values:
ATTEMPTED, AUTHENTICATED, FAILED, NOT_APPLICABLE, NOT_REQUESTED
Structured merchant information for nested-flow transfers.
The merchant's official legal name.
The date when the merchant's business was registered, in YYYY-MM-DD format. For example, 2025-03-15.
The merchant's Business Registration Number (BRN) or equivalent identifier.
The merchant's trading or DBA (doing business as) name.
The merchant's industry category code.
The merchant's unique identifier on the platform.
The merchant's country of registration in ISO 3166-1 alpha-2 format. For example, CN or HK.
The merchant's store URL(s).
Amount of the transfer in currency specified in the request
The time this transfer was created
Currency (3-letter ISO-4217 code) specified in the request
Airwallex account unique identifier specified in the request
List of failure reason codes when status is FAILED
Fee of the transfer in currency specified in the request
Unique identifier for the transfer
Reason for the transfer instruction specified in the request
User specified reference that will be displayed to the beneficiary specified in the request
Unique request identifier specified in the request
Short reference for support purposes
Status of the transfer. One of: NEW, SETTLED, PENDING, SUSPENDED, FAILED
The time this transfer was updated
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api-demo.airwallex.com/api/v1/transfers/create' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "additional_info": {3 "card_payment_data": {4 "amount": "<string>",5 "brand": "MASTERCARD",6 "card_issuing_country": "<string>",7 "card_token": "<string>",8 "card_type": "CREDIT",9 "cardholder_name": "<string>",10 "created_at": "<string>",11 "deposit_id": "<string>",12 "ip_address": "<string>",13 "payment_method": "APPLE_PAY",14 "three_dsecure_outcome": "ATTEMPTED"15 }16 },17 "amount": 10000,18 "created_at": "2018-03-22T16:08:02+1100",19 "currency": "AUD",20 "destination": "acct_DjU6FcdYPYy6MEJsU0JAPg",21 "failure_reasons": [22 "EXPIRED_TRANSACTION_RFI_PAYER",23 "EXPIRED_TRANSACTION_RFI_BENEFICIARY",24 "DORMANCY_KYC_NO_RESPONSE_PAYER",25 "DORMANCY_KYC_NO_RESPONSE_BENEFICIARY",26 "WEBSITE_KYC_NO_RESPONSE_PAYER",27 "WEBSITE_KYC_NO_RESPONSE_BENEFICIARY",28 "WATCHLIST_RESTRICTION_PAYER",29 "WATCHLIST_RESTRICTION_BENEFICIARY",30 "OTHER_HIGH_RISK_PAYER",31 "OTHER_HIGH_RISK_BENEFICIARY"32 ],33 "fee": 10,34 "id": "d9af1614-a6a1-4d45-aae7-6858fc6d9ede",35 "reason": "travel",36 "reference": "PMT1936398",37 "request_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",38 "short_reference_id": "D220926-QZ7BTZE",39 "status": "NEW",40 "updated_at": "2018-03-22T16:08:02+1100"41}